Submit spendback

Allows you to submit a spendback in the body of an API request.

A spendback request can only be made for an existing recipient and you can only process one spendback at a time.

Required parameters

Each spendback request must include the amount and currency parameters as well as one of the following recipient parameters (if you specify more than one, they are prioritized in the given order):
    - recipientId
    - recipientRef
    - email

Try It

To use the Try It feature for this endpoint, you must use the credentials for your Sandbox API user.

Include at least the amount and currency parameters, along with one of the recipient parameters (see above).

Request parameters

  • recipientId
  • recipientRef
  • email
  • amount
  • currency
  • description
  • spendbackRef
  • providerId

Response parameters

  • id
  • spendbackRef
  • recipientId
  • recipientRef
  • payoutAccountId
  • providerId
  • providerType
  • providerSpendbackRef
  • amount
  • currency
  • description
  • spendbackDate
  • spendbackStatus
  • providerResponse
  • createdAt
  • updatedAt
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
required

The Nexio-generated ID for a recipient. This is the payer account to use for the spendback. This value takes precedence over values for recipientRef and email if they are also included in the request.

Only required if neither recipientRef nor email are specified in the request.

number
required

The spendback amount refunded. For testing purposes with the Mock Payout account, you can trigger an error by sending amount with a value of 12.34.

string
required
length ≤ 3

The three-character ISO currency code for the spendback by the specified payer.

string
length ≤ 200

Description information for the spendback. The system returns this parameter only when a value is provided for it in the Submit spendback request.

string
length ≤ 100

Reference value for the spendback request.

You can use your own reference value for the spendback request. If you want multiple requests to display as a single group in a report, specify the same value.

If you do not specify a value, the system generates one.

Note

Nexio recommends that you include this parameter, with your own value, in the request.

integer

The Nexio ID for the provider. Indicates a specific set of payout provider credentials to use for processing a spendback request.

This is useful to include for cases where you are not sending the recipientId in the request and a recipient may have accounts with multiple payout providers. In these situation, it can help the system to identify the correct recipient account when you send an email or recipientRef for the recipient along with a providerId.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json